# $Revision: 1.65 $, $Date: 2004/08/14 09:53:56 $
Summary:	OpenBSD's ftpd ported to Linux (with IPv6 support)
Summary(pl):	Port ftpd z OpenBSD dla Linuksa (z obsug IPv6)
Name:		ftpd-BSD
Version:	0.3.3
Release:	11
License:	BSD-like
Group:		Networking/Daemons
Source0:	ftp://quatramaran.ens.fr/pub/madore/ftpd-BSD/contrib/%{name}-%{version}.tar.gz
# Source0-md5:	db925235417c8699bb1eb8ca77811fc5
Source1:	%{name}.inetd
Source2:	%{name}.pamd
Source3:	%{name}-ftpusers
Source4:	ftpusers.tar.bz2
# Source4-md5: 76c80b6ec9f4d079a1e27316edddbe16
Patch0:		%{name}-anonuser.patch
Patch1:		%{name}-paths.patch
Patch2:		%{name}-username.patch
Patch3:		%{name}-SA_LEN.patch
Patch4:		%{name}-no_libnsl.patch
URL:		http://www.eleves.ens.fr:8080/home/madore/programs/#prog_ftpd-BSD
BuildRequires:	libwrap-devel
BuildRequires:	pam-devel
Requires:	rc-inetd
Requires:	inetdaemon
Requires:	pam >= 0.77.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	ftpserver
Obsoletes:	ftpserver
Obsoletes:	anonftp
Obsoletes:	bftpd
Obsoletes:	glftpd
Obsoletes:	heimdal-ftpd
Obsoletes:	linux-ftpd
Obsoletes:	muddleftpd
Obsoletes:	proftpd
Obsoletes:	proftpd-common
Obsoletes:	proftpd-inetd
Obsoletes:	proftpd-standalone
Obsoletes:	pure-ftpd
Obsoletes:	troll-ftpd
Obsoletes:	vsftpd
Obsoletes:	wu-ftpd
Conflicts:	man-pages < 1.51

%description
This is a Linux port of the BSD ftp server (ftpd). It doesn't have all
the bells and whistles of wu-ftpd, but it is also probably less buggy
and more secure (at least, it was certainly so before I ported it, and
I hope I didn't mess things up *too* much).

The source code was taken from the OpenBSD CVS as of 2000/07/07 (this
is after release 2.7). The ftpd version number is 6.5 and this port's
version number is 0.3.2.

Package comes with anonymous upload disabled. If you really want to
enable it - chmod /home/services/ftp/upload to 0730.

%description -l pl
Pakiet ten zawiera linuksowy port serwera ftp BSD (ftpd). Nie zawiera
on wszystkich wymylnych elementw wu-ftpd, jest jednak
prawdopodobniej mniej zapluskwiony i bardziej bezpieczny (w kadym
razie by takim zanim go przeniosem na Linuksa, i mam nadziej, e
nie nabaaganiem *za bardzo*). Kod rdowy pochodzi z repozytorium
CVS OpenBSD z dnia 2000/07/07 (tj. po wersji 2.7). Numer wersji ftpd
to 6.5, za numer wersji tego portu to 0.3.2.

Pakiet przychodzi z wyczonym anonimowym uploadem. Jeli naprawd
chcesz go wczy - zmie uprawnienia do /home/services/ftp/upload
na 0730.

%prep
%setup -q -n ftpd-bsd-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__make} OPT_CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{ftpd,pam.d,sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT/home/services/ftp/{upload,pub}

install ftpd $RPM_BUILD_ROOT%{_sbindir}/ftpd-BSD
install ftpd.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/ftpd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/ftp
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/ftpd/ftpusers

bzip2 -dc %{SOURCE4} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc README*
%attr(755,root,root) %{_sbindir}/ftpd-BSD
%dir %{_sysconfdir}/ftpd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/ftp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ftpd/ftpusers
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/ftpd
%dir /home/services/ftp
%dir /home/services/ftp/pub
%attr(700,root,ftp) %verify(not mode) %dir /home/services/ftp/upload
%{_mandir}/man8/*
%lang(ja) %{_mandir}/ja/man5/ftpusers*
%lang(pl) %{_mandir}/pl/man5/ftpusers*
%lang(pt_BR) %{_mandir}/pt_BR/man5/ftpusers*
%lang(ru) %{_mandir}/ru/man5/ftpusers*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ftpd-BSD.spec,v $
Revision 1.65  2004/08/14 09:53:56  averne
- rel 11

Revision 1.64  2004/03/29 08:49:55  luzik
 - added Obsolete: glftpd

Revision 1.63  2004/02/13 16:05:52  twittner
- typo

Revision 1.62  2003/12/01 02:28:07  undefine
- release 10 to rebuild with ac

Revision 1.61  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.60  2003/09/26 14:23:00  baggins
- release 9

Revision 1.59  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.58  2003/05/26 16:24:59  malekith
- massive attack: adding Source-md5

Revision 1.57  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.56  2003/05/25 05:47:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.55  2002/12/07 23:49:19  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.54  2002/12/07 16:16:03  orzech
- /home -> /home/services

Revision 1.53  2002/12/07 14:33:00  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.52  2002/10/23 10:37:47  ankry
- fixed path in ftpusers.5 man page; rel. 8

Revision 1.51  2002/07/03 09:24:04  wolf
- spelling

Revision 1.50  2002/06/10 00:17:01  ankry
- added ftpusers(5) man pages
- Conflicts: man-pages < 1.51
- release 7

Revision 1.49  2002/06/09 22:50:36  ankry
- Obsoletes: troll-ftpd

Revision 1.48  2002/06/01 10:28:46  qboosh
- Obsoletes: anonftp, vsftpd
- release 6

Revision 1.47  2002/05/22 07:55:26  qboosh
- Obsoletes: proftpd-*; new %%doc; release 5

Revision 1.46  2002/05/11 21:46:42  kloczek
- release 4.

Revision 1.45  2002/05/09 01:11:15  baseciq
- added missing README.madore in %doc directory, STBR

Revision 1.44  2002/04/25 16:19:59  arturs
fixed a small typo

Revision 1.43  2002/02/23 02:06:15  kloczek
- adapterized.

Revision 1.42  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.41  2002/01/18 02:12:59  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.40  2001/10/08 07:42:53  qboosh
- changed unsafe 755 ftp.ftp to safe 700 root.ftp on upload directory
- updated port information in descriptions, added upload dir note
- release 2, STBR

Revision 1.39  2001/07/28 21:37:29  blues
- typo: %s/sever"/server"/

Revision 1.38  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.36  2001/07/18 22:37:19  kloczek
- updated to 0.3.3,
- new Source url,
- added URL,
- remove obsoleted overflow patch,
- added no_libnsl patch (we do not need linking with libnsl library).

Revision 1.35  2001/04/06 22:19:54  kloczek
- %%{_sysconfdir}/ftpd direcory also must belongs to package.

Revision 1.34  2001/04/05 16:05:50  qboosh
- SA_LEN patch to fix build problems
- use %%rpmcflags macro
- Obsoletes: muddleftpd
- release 10

Revision 1.33  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.32  2001/01/23 00:04:00  kloczek
- release 9: added pure-ftpd to Obsoletes.

Revision 1.31  2001/01/14 13:00:46  undefine
- Added bftpd to Obsoletes

Revision 1.30  2000/12/23 00:48:44  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.29  2000/12/08 12:32:03  areq
- add patch fixes a one-byte buffer overflow
- release 8

Revision 1.28  2000/11/19 06:24:13  kloczek
- release 7.

Revision 1.27  2000/11/19 06:04:59  agaran
Typo %patch1 -p2 => %patch2 -p1 ;-)

Revision 1.26  2000/11/07 16:58:55  kloczek
- release 6.

Revision 1.25  2000/11/07 16:57:03  kravietz
- username buffer increased from 16 to 17 characters, to allow usernames
  of 16 characters together with terminating NULL
  da7a87dc3a1db2acee039801572c17bc  ftpd-BSD-username.patch

Revision 1.24  2000/10/18 21:14:51  kloczek
- release 5: use new rpm automation.

Revision 1.23  2000/09/11 17:12:12  kloczek
- added Summary(pl).

Revision 1.22  2000/09/11 15:48:02  baggins
- release 4
- added paths patch
- moved configs to /etc/ftpd (as in other ftp daemons)
- added /home/ftp directories
- config(noreplace) for config files

Revision 1.21  2000/09/09 03:11:57  kloczek
- release 3,
- removed anonftp from Requires list.

Revision 1.20  2000/08/24 15:17:24  pascalek
- added linux-ftpd as Obsoletes

Revision 1.19  2000/08/16 11:07:34  kravietz
- added patch with one more option and two manual updates

Revision 1.18  2000/07/12 18:32:21  waszi
- revision 1

Revision 1.17  2000/07/12 18:13:27  waszi

- 0.3.2
- setproctitle.patch is obsolete

Revision 1.16  2000/07/10 14:45:09  kloczek
- release 3,
- added using %%{__make} macro,
- fixed passing $RPM_OPT_FLAGS to compile options.

Revision 1.15  2000/07/08 22:27:59  waszi
- added setproctitle patch (thanks agaran@agaran.6bone.pl)

Revision 1.14  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.13  2000/05/15 19:19:30  kloczek
- release 2,
- spec adapterized.

Revision 1.12  2000/04/10 06:04:56  waszi
- added 'cd ftpd' to %build

Revision 1.11  2000/04/10 03:45:06  kloczek
- updated to 0.3.1.

Revision 1.10  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/04/01 06:15:19  kura
- typo

Revision 1.8  2000/03/31 19:57:02  arturs
typo

Revision 1.7  2000/03/29 22:58:14  arturs
-added %description -l pl

Revision 1.6  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.5  2000/02/28 07:29:09  kloczek
- added BuildRequires and Obsoletes rules,
- cosmetics.

Revision 1.4  2000/02/03 11:54:38  waszi
- added URL for sources

Revision 1.3  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.2  2000/01/27 12:02:50  waszi
- updated to 0.3.0

Revision 1.1  1999/12/03 23:23:36  waszi
ftpd-BSD.spec

* Fri Nov 19 1999 David A. Madore <david.madore@ens.fr>
  [0.2.3-1]
- adapted for version 0.2.3 (sync'ed with OpenBSD 2.6)

* Fri Nov 19 1999 Robert R. Wal <rrw@reptile.eu.org>
  [0.2.2-2]
- removed "conflicts" and added packager info
- added %config(noreplace) to pam.d/ftp

* Wed Nov  3 1999 Robert R. Wal <rrw@reptile.eu.org>
  [0.2.2-1]
- initial release with 0.2.2
